Generate checkout link

Generate a direct checkout link for the price with the given id.

post

Returns a checkout link that allows the user to place an order.

After a successful checkout, JFW will redirect the user to the return URL configured in the app integration payment gateway management.

A license will be sent to the purchaser's email, which can be used to apply the license and upgrade the user's package.

Path parameters
priceIdstringRequired

The id of the price

Query parameters
appIntegrationIdstringRequired

The id of the app integration

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

datastring · nullableRead-onlyOptional

This is the data to be returned to the client.

post
/api/v1/prices/{priceId}/generate-checkout-link

Last updated